Xerces2 Implementation: Class NamespaceImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.stax.events
Class NamespaceImpl

    java.lang.Object
      |
      +--org.apache.xerces.stax.events.XMLEventImpl
            |
            +--org.apache.xerces.stax.events.AttributeImpl
                  |
                  +--org.apache.xerces.stax.events.NamespaceImpl

All Implemented Interfaces:
  javax.xml.stream.events.Attribute, javax.xml.stream.events.Namespace, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

public final class NamespaceImpl
extends AttributeImpl
implements javax.xml.stream.events.Namespace

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: NamespaceImpl.java 730477 2008-12-31 20:57:07Z mrglavas $
Author:
  Lucian Holland

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`NamespaceImpl(java.lang.String prefix, java.lang.String namespaceURI, javax.xml.stream.Location location)`

Method Summary
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getPrefix()`
`boolean` | `isDefaultNamespaceDeclaration()`

Methods inherited from class org.apache.xerces.stax.events.AttributeImpl
`asCharacters, asEndElement, asStartElement, getDTDType, getEventType, getLocation, getName, getSchemaType, getValue, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isSpecified, isStartDocument, isStartElement, toString, writeAsEncodedUnicode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.Attribute
`getDTDType, getName, getValue, isSpecified`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Constructor Detail

### NamespaceImpl

    public NamespaceImpl(java.lang.String prefix,
                         java.lang.String namespaceURI,
                         javax.xml.stream.Location location)

  Parameters:
    `location` -
    `schemaType` -

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.getPrefix()`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.getNamespaceURI()`

### isDefaultNamespaceDeclaration

    public boolean isDefaultNamespaceDeclaration()

  Specified by:
    `isDefaultNamespaceDeclaration` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.isDefaultNamespaceDeclaration()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.